Request Scorecard rule exemption
curl --request POST \
--url https://api.getcortexapp.com/api/v1/scorecards/{tag}/entity/{entityTag}/exemption \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"ruleIdentifier": "<string>",
"days": 123
}
'import requests
url = "https://api.getcortexapp.com/api/v1/scorecards/{tag}/entity/{entityTag}/exemption"
payload = {
"reason": "<string>",
"ruleIdentifier": "<string>",
"days": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', ruleIdentifier: '<string>', days: 123})
};
fetch('https://api.getcortexapp.com/api/v1/scorecards/{tag}/entity/{entityTag}/exemption', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exemptionStatus": {
"status": "<string>",
"approvedBy": {
"email": "<string>",
"name": "<string>",
"type": "<string>"
},
"approvedDate": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z",
"handledBy": {
"email": "<string>",
"name": "<string>",
"type": "<string>"
}
},
"requestedBy": {
"email": "<string>",
"name": "<string>",
"type": "<string>"
},
"requestedDate": "2023-11-07T05:31:56Z",
"requestingReason": "<string>",
"endDate": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Request Scorecard rule exemption
Request Scorecard rule exemption
POST
/
api
/
v1
/
scorecards
/
{tag}
/
entity
/
{entityTag}
/
exemption
Request Scorecard rule exemption
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Path Parameters
Unique tag for the Scorecard
The entity tag (x-cortex-tag) that identifies the entity.
Body
application/json
Response
Successfully requested Scorecard rule exemption
Show child attributes
Show child attributes
API key or person who approved the exemption before it was revoked. Only set when the status is REVOKED
- Option 1
- Option 2
Show child attributes
Show child attributes
Last modified on September 24, 2026